package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import java.io.Serializable;

/**
 * <p>
 * 乐团表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("music_group")
public class MusicGroup extends Model<MusicGroup> {

    private static final long serialVersionUID = 1L;

    @TableId("id_")
    private String id;
    /**
     * 乐团名称
     */
    @TableField("name_")
    private String name;
    /**
     * 所属分部
     */
    @TableField("organ_id_")
    private Integer organId;
    /**
     * 学校(合作单位)
     */
    @TableField("school_id_")
    private Integer schoolId;
    /**
     * 报名截止日期
     */
    @TableField("apply_expire_date_")
    private Date applyExpireDate;
    /**
     * 运营主管
     */
    @TableField("team_teacher_id_")
    private Integer teamTeacherId;
    /**
     * 教务老师
     */
    @TableField("educational_teacher_id_")
    private Integer educationalTeacherId;
    /**
     * 收费类型
     */
    @TableField("charge_type_id_")
    private Integer chargeTypeId;
    /**
     * 课程形态
     */
    @TableField("course_form_")
    private String courseForm;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 状态（报名中、缴费中、筹备中、进行中、取消）
     */
    @TableField("status_")
    private String status;
    /**
     * 计费开始日期
     */
    @TableField("bill_start_date_")
    private Date billStartDate;
    /**
     * 提高课班级数
     */
    @TableField("improvent_classes_num_")
    private Integer improventClassesNum;
    /**
     * 招生年级（多个用|分开）
     */
    @TableField("enroll_classes_")
    private String enrollClasses;
    /**
     * 缴费截止时间
     */
    @TableField("payment_expire_date_")
    private Date paymentExpireDate;
    /**
     * 是否是加课
     */
    @TableField("is_extra_class_")
    private String isExtraClass;
    /**
     * 合作单位编号
     */
    @TableField("cooperation_organ_id_")
    private Integer cooperationOrganId;
    /**
     * 启蒙课日期
     */
    @TableField("enlightenment_course_time_")
    private Date enlightenmentCourseTime;
    /**
     * 家长会日期
     */
    @TableField("parent_meeting_time_")
    private Date parentMeetingTime;


    public String getId() {
        return id;
    }

    public MusicGroup setId(String id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public MusicGroup setName(String name) {
        this.name = name;
        return this;
    }

    public Integer getOrganId() {
        return organId;
    }

    public MusicGroup setOrganId(Integer organId) {
        this.organId = organId;
        return this;
    }

    public Integer getSchoolId() {
        return schoolId;
    }

    public MusicGroup setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
        return this;
    }

    public Date getApplyExpireDate() {
        return applyExpireDate;
    }

    public MusicGroup setApplyExpireDate(Date applyExpireDate) {
        this.applyExpireDate = applyExpireDate;
        return this;
    }

    public Integer getTeamTeacherId() {
        return teamTeacherId;
    }

    public MusicGroup setTeamTeacherId(Integer teamTeacherId) {
        this.teamTeacherId = teamTeacherId;
        return this;
    }

    public Integer getEducationalTeacherId() {
        return educationalTeacherId;
    }

    public MusicGroup setEducationalTeacherId(Integer educationalTeacherId) {
        this.educationalTeacherId = educationalTeacherId;
        return this;
    }

    public Integer getChargeTypeId() {
        return chargeTypeId;
    }

    public MusicGroup setChargeTypeId(Integer chargeTypeId) {
        this.chargeTypeId = chargeTypeId;
        return this;
    }

    public String getCourseForm() {
        return courseForm;
    }

    public MusicGroup setCourseForm(String courseForm) {
        this.courseForm = courseForm;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public MusicGroup setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public MusicGroup setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getStatus() {
        return status;
    }

    public MusicGroup setStatus(String status) {
        this.status = status;
        return this;
    }

    public Date getBillStartDate() {
        return billStartDate;
    }

    public MusicGroup setBillStartDate(Date billStartDate) {
        this.billStartDate = billStartDate;
        return this;
    }

    public Integer getImproventClassesNum() {
        return improventClassesNum;
    }

    public MusicGroup setImproventClassesNum(Integer improventClassesNum) {
        this.improventClassesNum = improventClassesNum;
        return this;
    }

    public String getEnrollClasses() {
        return enrollClasses;
    }

    public MusicGroup setEnrollClasses(String enrollClasses) {
        this.enrollClasses = enrollClasses;
        return this;
    }

    public Date getPaymentExpireDate() {
        return paymentExpireDate;
    }

    public MusicGroup setPaymentExpireDate(Date paymentExpireDate) {
        this.paymentExpireDate = paymentExpireDate;
        return this;
    }

    public String getIsExtraClass() {
        return isExtraClass;
    }

    public MusicGroup setIsExtraClass(String isExtraClass) {
        this.isExtraClass = isExtraClass;
        return this;
    }

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public MusicGroup setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
        return this;
    }

    public Date getEnlightenmentCourseTime() {
        return enlightenmentCourseTime;
    }

    public MusicGroup setEnlightenmentCourseTime(Date enlightenmentCourseTime) {
        this.enlightenmentCourseTime = enlightenmentCourseTime;
        return this;
    }

    public Date getParentMeetingTime() {
        return parentMeetingTime;
    }

    public MusicGroup setParentMeetingTime(Date parentMeetingTime) {
        this.parentMeetingTime = parentMeetingTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "MusicGroup{" +
        ", id=" + id +
        ", name=" + name +
        ", organId=" + organId +
        ", schoolId=" + schoolId +
        ", applyExpireDate=" + applyExpireDate +
        ", teamTeacherId=" + teamTeacherId +
        ", educationalTeacherId=" + educationalTeacherId +
        ", chargeTypeId=" + chargeTypeId +
        ", courseForm=" + courseForm +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", status=" + status +
        ", billStartDate=" + billStartDate +
        ", improventClassesNum=" + improventClassesNum +
        ", enrollClasses=" + enrollClasses +
        ", paymentExpireDate=" + paymentExpireDate +
        ", isExtraClass=" + isExtraClass +
        ", cooperationOrganId=" + cooperationOrganId +
        ", enlightenmentCourseTime=" + enlightenmentCourseTime +
        ", parentMeetingTime=" + parentMeetingTime +
        "}";
    }
}
